=== debian/changelog ===
vdeplug-vdesl (0.1.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fix for FTBFS with CMake 4. (Closes: #1113614)

 -- Adrian Bunk <bunk@debian.org>  Sat, 11 Oct 2025 16:07:23 +0300

vdeplug-vdesl (0.1.0-2) unstable; urgency=medium

  * d/control: Add VirtualSquare Uploader
  * Initial Debian release (Closes: #975720)

 -- Andrea Capriotti <capriott@debian.org>  Tue, 01 Dec 2020 17:26:55 +0100

vdeplug-vdesl (0.1.0-1) unstable; urgency=medium

  * Initial release

 -- Renzo Davoli <renzo@cs.unibo.it>  Sun, 15 Nov 2020 15:56:04 +0100
