=== debian/control ===
Source: vdeplug-vdesl
Priority: optional
Section: libs
Maintainer: Debian VirtualSquare Team <virtualsquare@cs.unibo.it>
Uploaders: Mattia Biondi <mattia.biondi3@studio.unibo.it>, Renzo Davoli <renzo@cs.unibo.it>, Andrea Capriotti <capriott@debian.org>
Build-Depends: debhelper-compat (= 13), cmake (>= 3.13), libvdeplug-dev (>= 4)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://www.virtualsquare.org/
Vcs-Git: https://salsa.debian.org/virtualsquare-team/vdeplug-vdesl.git
Vcs-Browser: https://salsa.debian.org/virtualsquare-team/vdeplug-vdesl

Package: libvdeplug-vdesl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: libvdeplug plugin: vde over serial lines
 This libvdeplug plugin module adds the support of vde over serial lines.
 vdesl supports the rates up to 4Mbps.
 High baud rates may not be supported by the uart hardware or could provide an
 unreliable service due to communication errors. In order to achieve high speeds
 cables should be short and properly shielded against electro-magnetic noise.
